Qyra
ReferenceProjects

List Google Sheets syncs as code

Get Google Sheets syncs in code representation

GET/api/v1/projects/{projectUuid}/code/googleSheets

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
slugsarray[string]No

Responses

200 — Success

{
  "results": {
    "skipped": [
      {
        "reason": "string",
        "name": "string"
      }
    ],
    "googleSheetsSyncs": [
      {
        "downloadedAt": "2024-01-01T00:00:00.000Z",
        "destination": {
          "tabName": "string",
          "url": "string",
          "organizationName": "string",
          "spreadsheetName": "string",
          "spreadsheetId": "string"
        },
        "plainTextEmail": true,
        "includeLinks": true,
        "enabled": true,
        "timezone": "string",
        "cron": "string",
        "message": "string",
        "name": "string",
        "slug": "string",
        "version": 0,
        "contentType": "google_sheets_sync",
        "selectedTabs": null,
        "customViewportWidth": null,
        "parameters": {
          "property": "string"
        },
        "filters": {
          "tableCalculations": {
            "or": [
              {}
            ],
            "id": "string"
          },
          "metrics": {
            "or": [
              {}
            ],
            "id": "string"
          },
          "dimensions": {
            "or": [
              {}
            ],
            "id": "string"
          }
        },
        "resource": {
          "slug": "string",
          "type": "chart"
        }
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}